Subject: bug#19229: ispell on Windows

From: Alan Third <[email-masked]>
Date: Fri, 22 May 2015 20:55:52 +0100

On 22 May 2015 at 20:22, Eli Zaretskii <[email-masked]> wrote:
>> Date: Fri, 22 May 2015 19:57:17 +0100
>> From: Alan Third <[email-masked]>
>> Cc: [email-masked]
>>
>> What confuses this on OS X is that when you run hunspell from the
>> command line LANG *IS* set and so it works, but from within emacs (run
>> from the GUI) LANG *ISN'T* set so it fails.
>
> Ah, so this is somehow related to the shell environment not being
> propagated to Emacs.  IOW, an OS X specific issue that has nothing to
> do with ispell.el or Hunspell.  I'm sure there's a way to have these
> defined in Emacs, I just cannot help you with that, as I don't know
> anything about OS X setup.

No, I wouldn't expect you to. It seems to be something of a known
problem as Apple removed the ability to set global environment
variables a few versions ago.

Sorry for confusing matters with this.

>> On Windows from within emacs:
>>
>> SEARCH PATH:
>> .;;C:\Hunspell\;c:/users/thirda\.openoffice.org\3\user\wordbook;c:\Users\thirda\local\bin\..\share\hunspell;C:\Program
>> files\OpenOffice.org 2.4\share\dict\ooo\;C:\Program
>> files\OpenOffice.org 2.3\share\dict\ooo\;C:\Program
>> files\OpenOffice.org 2.2\share\dict\ooo\;C:\Program
>> files\OpenOffice.org 2.1\share\dict\ooo\;C:\Program
>> files\OpenOffice.org 2.0\share\dict\ooo\
>> AVAILABLE DICTIONARIES (path is not mandatory for -d option):
>> c:\Users\thirda\local\bin\..\share\hunspell\default
>> c:\Users\thirda\local\bin\..\share\hunspell\en_GB
>> c:\Users\thirda\local\bin\..\share\hunspell\en_US
>> Can't open affix or dictionary files for dictionary named "ENG".
>>
>> Creating an "ENG" dictionary fixes this.
>
> See, you don't have the "default" dictionary.

Look again, I do. Emacs has set LANG to "ENG" so hunspell is ignoring
"default".

And, again, copying en_GB to ENG solves it. I can deal with this.

>> And I've just worked out where I need to put a default dictionary to
>> get it to work: /usr/share/myspell.
>
> On what OS?  On Windows it should be in share/hunspell/.

Sorry, on OS X.

I feel that the way ispell handles a misconfigured hunspell is, at the
moment, not very helpful. I can provide a patch that I believe makes
it fail more gracefully, but I'm getting the feeling it's behaviour
that's not wanted.

Shall we call it quits?

Thanks and apologies for any frustration caused.
-- 
Alan Third